package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.RuleAttributeValue;
import com.neusoft.smart.pos.printer.persistent.domain.RuleAttributeValueExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RuleAttributeValueMapper {
    int countByExample(RuleAttributeValueExample example);

    int deleteByExample(RuleAttributeValueExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RuleAttributeValue record);

    int insertSelective(RuleAttributeValue record);

    List<RuleAttributeValue> selectByExample(RuleAttributeValueExample example);

    RuleAttributeValue selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RuleAttributeValue record, @Param("example") RuleAttributeValueExample example);

    int updateByExample(@Param("record") RuleAttributeValue record, @Param("example") RuleAttributeValueExample example);

    int updateByPrimaryKeySelective(RuleAttributeValue record);

    int updateByPrimaryKey(RuleAttributeValue record);

    void batchInsert(@Param("items") List<RuleAttributeValue> items);
}